/**
 * DevExtreme (renovation/ui/scroll_view/scrollable_props.js)
 * Version: 21.1.0 (build 20350-0313)
 * Build date: Tue Dec 15 2020
 *
 * Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.ScrollablePropsType = exports.ScrollableProps = exports.ScrollableInternalPropsType = exports.ScrollableInternalProps = void 0;
var _base_props = _interopRequireDefault(require("../../utils/base_props"));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}

function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter((function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable
            }))
        }
        keys.push.apply(keys, symbols)
    }
    return keys
}

function _objectSpread(target) {
    for (var i = 1; i < arguments.length; i++) {
        var source = null != arguments[i] ? arguments[i] : {};
        if (i % 2) {
            ownKeys(Object(source), true).forEach((function(key) {
                _defineProperty(target, key, source[key])
            }))
        } else if (Object.getOwnPropertyDescriptors) {
            Object.defineProperties(target, Object.getOwnPropertyDescriptors(source))
        } else {
            ownKeys(Object(source)).forEach((function(key) {
                Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key))
            }))
        }
    }
    return target
}

function _defineProperty(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        })
    } else {
        obj[key] = value
    }
    return obj
}
var ScrollableInternalProps = {
    direction: "vertical",
    forceGeneratePockets: false
};
exports.ScrollableInternalProps = ScrollableInternalProps;
var ScrollableInternalPropsType = {
    direction: ScrollableInternalProps.direction,
    forceGeneratePockets: ScrollableInternalProps.forceGeneratePockets,
    disabled: _base_props.default.disabled
};
exports.ScrollableInternalPropsType = ScrollableInternalPropsType;
var ScrollableProps = _objectSpread(_objectSpread({}, ScrollableInternalProps), {}, {
    useNative: false
});
exports.ScrollableProps = ScrollableProps;
var ScrollablePropsType = {
    useNative: ScrollableProps.useNative,
    direction: ScrollableProps.direction,
    forceGeneratePockets: ScrollableProps.forceGeneratePockets,
    disabled: _base_props.default.disabled
};
exports.ScrollablePropsType = ScrollablePropsType;
