/**
* DevExtreme (renovation/viz/core/common/types.d.ts)
* Version: 21.1.0 (build 20350-0313)
* Build date: Tue Dec 15 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export type Canvas = { left?: number; top?: number; right?: number; bottom?: number; width?: number; height?: number };
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export type Size = { width?: number; height?: number };
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export type RecalculateCoordinates = {
  canvas: Canvas; anchorX: number; anchorY: number;
  size: Size; offset: number; arrowLength: number;
};
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export type TooltipCoordinates = { x: number; y: number; anchorX: number; anchorY: number };
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export type Margin = { top?: number; left?: number; bottom?: number; right?: number };
